Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 9176)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 9177)
@@ -7,52 +7,48 @@
 
 /* UserManager Tab */
-$lang['Registration_Date'] = 'Date d\'enregistrement';
+$lang['UAM_Registration_Date'] = 'Date d\'enregistrement';
 
 
 /* Mailing */
-$lang['infos_mail %s'] = '%s, voici vos informations pour vous identifier sur la galerie :';
-$lang['User: %s'] = 'Utilisateur : %s';
-$lang['Password: %s'] = 'Mot de passe: %s';
-$lang['Link: %s'] = 'Cliquez sur le lien suivant pour confirmer votre inscription : %s';
+$lang['UAM_infos_mail %s'] = '%s, voici vos informations pour vous identifier sur la galerie :';
+$lang['UAM_User: %s'] = 'Utilisateur : %s';
+$lang['UAM_Password: %s'] = 'Mot de passe: %s';
+$lang['UAM_Link: %s'] = 'Cliquez sur le lien suivant pour confirmer votre inscription : %s';
 
 
 /* Email confirmation page */
-$lang['title_confirm_mail'] = 'Confirmation de votre inscription';
-$lang['confirm_mail_page_title'] = 'Confirmation d\'inscription';
+$lang['UAM_title_confirm_mail'] = 'Confirmation de votre inscription';
+$lang['UAM_confirm_mail_page_title'] = 'Confirmation d\'inscription';
 
 
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Audit OK';
-$lang['Err_audit_no_casse'] = '<b>Ces comptes sont identiques à la casse près :</b> ';
-$lang['Err_audit_username_char'] = '<b>Ce compte contient un ou des caractères interdits :</b> ';
-$lang['Err_audit_email_forbidden'] = '<b>Ce compte contient des domaines de messagerie interdit :</b> ';
-$lang['Err_audit_advise'] = '<b>Vous avez des corrections a faire pour respecter les nouvelles règles que vous avez activées.<br>Utilisez un utilitaire de gestion de base de données pour corriger les comptes utilisateurs directement dans la table ###_USERS si nécessaire.</b><br><br>';
+$lang['UAM_Err_audit_username_char'] = '<b>Ce compte contient un ou des caractères interdits :</b> ';
+$lang['UAM_Err_audit_email_forbidden'] = '<b>Ce compte contient des domaines de messagerie interdit :</b> ';
+$lang['UAM_Err_audit_advise'] = '<b>Vous avez des corrections a faire pour respecter les nouvelles règles que vous avez activées.<br>Utilisez un utilitaire de gestion de base de données pour corriger les comptes utilisateurs directement dans la table ###_USERS si nécessaire.</b><br><br>';
 $lang['UAM_Empty Author'] = 'Le champs auteur doit être rempli pour enregistrer un commentaire.';
-$lang['reg_err_login5'] = 'ce nom utilisateur est déjà pris, ATTENTION le nom est insensible à la casse (Majuscule = Minuscule).';
-$lang['reg_err_login6'] = 'le nom utilisateur ne doit pas contenir les caractère suivants : ';
-$lang['reg_err_login7'] = 'L\'adresse email est issue d\'un prestataire interdit. Les prestataires d\'adresses email interdits à l\'inscription sont : ';
+$lang['UAM_reg_err_login2'] = 'le nom utilisateur ne doit pas contenir les caractère suivants : ';
+$lang['UAM_reg_err_login5'] = 'L\'adresse email est issue d\'un prestataire interdit. Les prestataires d\'adresses email interdits à l\'inscription sont : ';
 $lang['UAM_empty_pwd'] = '[mot de passe vide]';
 $lang['UAM_no_update_pwd'] = '[mise à jour du profil sans changement du mot de passe]';
-$lang['invalid_pwd'] = 'Nom utilisateur ou Mot de passe invalide !';
-$lang['No_validation_for_Guest'] = 'Le compte Guest n\'est pas soumis à validation';
-$lang['No_validation_for_default_user'] = 'Le compte par défaut n\'est pas soumis à validation';
-$lang['No_validation_for_Webmaster'] = 'Le compte du Webmaster n\'est pas soumis à validation';
-$lang['No_validation_for_your_account'] = 'Votre compte d\'admin n\'est pas soumis à validation';
-$lang['Database_Error'] = '<b><u>Attention ! Erreur critique d\'intégrité dans votre base de données.</u></b><br><br>Veuillez contrôler l\'intégrité de la table #_user_confirm_mail.';
+$lang['UAM_No_validation_for_Guest'] = 'Le compte Guest n\'est pas soumis à validation';
+$lang['UAM_No_validation_for_default_user'] = 'Le compte par défaut n\'est pas soumis à validation';
+$lang['UAM_No_validation_for_Webmaster'] = 'Le compte du Webmaster n\'est pas soumis à validation';
+$lang['UAM_No_validation_for_your_account'] = 'Votre compte d\'admin n\'est pas soumis à validation';
 
 
 /* Processing messages */
-$lang['%d_Mail_With_Key'] = '%d message avec renouvellement de clé a été envoyé';
-$lang['%d_Mails_With_Key'] = '%d messages avec renouvellement de clé ont été envoyés';
-$lang['%d_Reminder_Sent'] = '%d message de rappel a été envoyé';
-$lang['%d_Reminders_Sent'] = '%d messages de rappel ont été envoyés';
-$lang['%d_Validated_User'] = '%d Utilisateur validé manuellement';
-$lang['%d_Validated_Users'] = '%d Utilisateurs validés manuellement';
+$lang['UAM_%d_Mail_With_Key'] = '%d message avec renouvellement de clé a été envoyé';
+$lang['UAM_%d_Mails_With_Key'] = '%d messages avec renouvellement de clé ont été envoyés';
+$lang['UAM_%d_Reminder_Sent'] = '%d message de rappel a été envoyé';
+$lang['UAM_%d_Reminders_Sent'] = '%d messages de rappel ont été envoyés';
+$lang['UAM_%d_Validated_User'] = '%d Utilisateur validé manuellement';
+$lang['UAM_%d_Validated_Users'] = '%d Utilisateurs validés manuellement';
 
 
 /* Action button names */
-$lang['Delete_selected'] = 'Supprimer';
-$lang['Mail_without_key'] = 'Rappel sans clé';
-$lang['Mail_with_key'] = 'Rappel avec clé';
+$lang['UAM_Delete_selected'] = 'Supprimer';
+$lang['UAM_Mail_without_key'] = 'Rappel sans clé';
+$lang['UAM_Mail_with_key'] = 'Rappel avec clé';
 
 
@@ -61,25 +57,25 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
 /* Global Configuration Tab */
-$lang['PasswordTest'] = 'Calcul du score';
+$lang['UAM_PasswordTest'] = 'Calcul du score';
 /* Ghost Tracker Tab */
-$lang['Tab_GhostTracker'] = 'Ghost Tracker';
-$lang['Reminder'] = 'Email de rappel';
-$lang['Reminder_Sent_OK'] = 'OUI';
-$lang['Reminder_Sent_NOK'] = 'NON';
+$lang['UAM_Tab_GhostTracker'] = 'Ghost Tracker';
+$lang['UAM_Reminder'] = 'Email de rappel';
+$lang['UAM_Reminder_Sent_OK'] = 'OUI';
+$lang['UAM_Reminder_Sent_NOK'] = 'NON';
 /* Errors and Warnings */
 $lang['UAM_save_config'] ='Configuration enregistrée.';
-$lang['reg_err_login3'] = 'Sécurité : Le mot de passe est obligatoire !';
-$lang['reg_err_login4_%s'] = 'Sécurité : Un système de contrôle calcule un score de complexité sur les mots de passe choisis. La complexité de votre mot de passe est trop faible (score = %s). Veuillez choisir un nouveau mot de passe plus sûre en respectant les règles suivantes :<br>
+$lang['UAM_reg_err_login3'] = 'Sécurité : Le mot de passe est obligatoire !';
+$lang['UAM_reg_err_login4_%s'] = 'Sécurité : Un système de contrôle calcule un score de complexité sur les mots de passe choisis. La complexité de votre mot de passe est trop faible (score = %s). Veuillez choisir un nouveau mot de passe plus sûre en respectant les règles suivantes :<br>
 - Utiliser des lettres et des chiffres<br>
 - Utiliser des minuscules et des majuscules<br>
 - Augmenter sa longueur (nombre de caractères)<br>
 Le score minimal des mots de passe imposé par l\'administrateur est de : ';
-$lang['No_reminder_for_Guest'] = 'Le compte Guest n\'est pas soumis à recevoir des rappels du GhostTracker';
-$lang['No_reminder_for_default_user'] = 'Le compte par défaut n\'est pas soumis à recevoir des rappels du GhostTracker';
-$lang['No_reminder_for_Webmaster'] = 'Le compte du Webmaster n\'est pas soumis à recevoir des rappels du GhostTracker';
-$lang['No_reminder_for_your_account'] = 'Votre compte d\'admin n\'est pas soumis à recevoir des rappels du GhostTracker';
+$lang['UAM_No_reminder_for_Guest'] = 'Le compte Guest n\'est pas soumis à recevoir des rappels du GhostTracker';
+$lang['UAM_No_reminder_for_default_user'] = 'Le compte par défaut n\'est pas soumis à recevoir des rappels du GhostTracker';
+$lang['UAM_No_reminder_for_Webmaster'] = 'Le compte du Webmaster n\'est pas soumis à recevoir des rappels du GhostTracker';
+$lang['UAM_No_reminder_for_your_account'] = 'Votre compte d\'admin n\'est pas soumis à recevoir des rappels du GhostTracker';
 /* Action button names */
-$lang['audit'] = 'Auditer les paramètres';
-$lang['submit'] = 'Sauvegarder les paramètres';
+$lang['UAM_audit'] = 'Auditer les paramètres';
+$lang['UAM_submit'] = 'Sauvegarder les paramètres';
 // --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
 
@@ -87,7 +83,7 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
 /* Errors and Warnings */
-$lang['GhostTracker_Init_OK'] = 'Initialisation Ghost Tracker effectuée !';
+$lang['UAM_GhostTracker_Init_OK'] = 'Initialisation Ghost Tracker effectuée !';
 /* Action button names */
-$lang['GT_Reset'] = 'Initialisation Ghost Tracker';
+$lang['UAM_GT_Reset'] = 'Initialisation Ghost Tracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
 
@@ -95,5 +91,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.8
 /* Errors and Warnings */
-$lang['mail_exclusionlist_error'] = 'Attention ! Vous avez saisi un retour à la ligne en début de liste d\'exclusion des domaines de messagerie (affichée en rouge ci-dessous). Bien que ce retour à la ligne ne soit pas visible, il est tout de même présent et est susceptible de provoquer des dysfonctionnements du plugin. Veuillez resaisir votre liste d\'exclusion en veillant à ne pas commencer par un retour à la ligne.';
+$lang['UAM_mail_exclusionlist_error'] = 'Attention ! Vous avez saisi un retour à la ligne en début de liste d\'exclusion des domaines de messagerie (affichée en rouge ci-dessous). Bien que ce retour à la ligne ne soit pas visible, il est tout de même présent et est susceptible de provoquer des dysfonctionnements du plugin. Veuillez resaisir votre liste d\'exclusion en veillant à ne pas commencer par un retour à la ligne.';
 // --------- End: New or revised $lang ---- from version 2.12.8
 
@@ -101,16 +97,14 @@
 // --------- Starting below: New or revised $lang ---- from version 2.13.0
 /* UserList Tab */
-$lang['UserList_Title'] = 'Suivi des utilisateurs inscrits';
-$lang['Tab_UserList'] = 'Suivi des utilisateurs';
+$lang['UAM_UserList_Title'] = 'Suivi des utilisateurs inscrits';
+$lang['UAM_Tab_UserList'] = 'Suivi des utilisateurs';
 // --------- End: New or revised $lang ---- from version 2.13.0
 
 
 // --------- Starting below: New or revised $lang ---- from version 2.13.4
-$lang['uam_no_unlink'] = 'La fonction \'unlink\' n\'est pas disponible';
-$lang['uam_unlink_errors'] = 'Des erreurs ont eu lieu lors de la suppression des fichiers';
 /* Global Configuration Tab */
-$lang['Title_Tab'] = 'UserAdvManager - Version: ';
-$lang['SubTitle1'] = 'Configuration du plugin';
-$lang['Tab_Global'] = 'Configuration';
+$lang['UAM_Title_Tab'] = 'UserAdvManager - Version: ';
+$lang['UAM_SubTitle1'] = 'Configuration du plugin';
+$lang['UAM_Tab_Global'] = 'Configuration';
 $lang['UAM_Title1'] = 'Paramétrage des restrictions d\'inscriptions';
 $lang['UAM_Title2'] = 'Paramétrage des confirmations et validations d\'inscriptions';
@@ -171,26 +165,26 @@
 $lang['UAM_Tips1'] = 'Inscriptions avec validation par email et message d\'avertissement sur la page d\'accueil de Piwigo';
 
-$lang['Tab_UserManager'] = 'Suivi des validations';
+$lang['UAM_Tab_UserManager'] = 'Suivi des validations';
 
 /* UserManager Tab */
-$lang['SubTitle3'] = 'Suivi des validations';
-$lang['UserManager_Title'] = 'Suivi des validations';
+$lang['UAM_SubTitle3'] = 'Suivi des validations';
+$lang['UAM_UserManager_Title'] = 'Suivi des validations';
 /* Ghost Tracker Tab */
-$lang['SubTitle4'] = 'Ghost Tracker';
-$lang['GT_Init'] = 'Initialisation du Ghost Tracker';
-$lang['GhostTracker_Title'] = 'Gestion des visiteurs fantômes';
+$lang['UAM_SubTitle4'] = 'Ghost Tracker';
+$lang['UAM_GT_Init'] = 'Initialisation du Ghost Tracker';
+$lang['UAM_GhostTracker_Title'] = 'Gestion des visiteurs fantômes';
 $lang['UAM_GhostTracker_Init'] = 'A première activation de cette fonction, ou à sa réactivation après une longue période pendant laquelle de nouveaux visiteurs se sont inscrits, il convient d\'initialiser ou de réinitialiser le Ghost Tracker. Cette action n\'est à faire qu\'une seule fois après activation ou réactivation de l\'option; à cet effet, cliquez <u>une seule fois</u> sur le bouton d\'initialisation ci-dessous.</b>';
 /* UserList Tab */
-$lang['SubTitle5'] = 'Informations sur les utilisateurs';
+$lang['UAM_SubTitle5'] = 'Informations sur les utilisateurs';
 /* Mailing */
-$lang['Add of %s'] = 'Profil créé pour %s';
-$lang['Update of %s'] = 'Mise à jour du profil de %s';
+$lang['UAM_Add of %s'] = 'Profil créé pour %s';
+$lang['UAM_Update of %s'] = 'Mise à jour du profil de %s';
 /* Mailing */
-$lang['Ghost_reminder_of_%s'] = '%s, ceci est un email de rappel.';
-$lang['Reminder_with_key_of_%s'] = '%s, votre clef de validation a expiré';
-$lang['Reminder_without_key_of_%s'] = '%s, votre clef de validation va expirer';
-/* Errors and Warnings */
-$lang['Err_GhostTracker_Settings'] = 'Cette page n\'est accessible que si "Gestion des visiteurs fantômes" est actif dans "Paramétrage des suivis des inscrits et autres options".';
-$lang['Err_Userlist_Settings'] = 'Cette page n\'est accessible que si le "Suivi des utilisateurs inscrits" est actif dans "Paramétrage des suivis des inscrits et autres options".';
+$lang['UAM_Ghost_reminder_of_%s'] = '%s, ceci est un email de rappel.';
+$lang['UAM_Reminder_with_key_of_%s'] = '%s, votre clef de validation a expiré';
+$lang['UAM_Reminder_without_key_of_%s'] = '%s, votre clef de validation va expirer';
+/* Errors and Warnings */
+$lang['UAM_Err_GhostTracker_Settings'] = 'Cette page n\'est accessible que si "Gestion des visiteurs fantômes" est actif dans "Paramétrage des suivis des inscrits et autres options".';
+$lang['UAM_Err_Userlist_Settings'] = 'Cette page n\'est accessible que si le "Suivi des utilisateurs inscrits" est actif dans "Paramétrage des suivis des inscrits et autres options".';
 // --------- End: New or revised $lang ---- from version 2.13.4
 
@@ -244,12 +238,11 @@
 $lang['UAM_confirmmail_custom_Txt1'] = 'Texte de la page de confirmation - Confirmation acceptée';
 $lang['UAM_confirmmail_custom_Txt2'] = 'Texte de la page de confirmation - Confirmation rejetée';
-$lang['LastVisit_Date'] = 'Dernière visite le';
-$lang['Nb_Days'] = 'Ecart en jours';
-$lang['Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Confirmation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations et validations d\'inscriptions".';
+$lang['UAM_LastVisit_Date'] = 'Dernière visite le';
+$lang['UAM_Nb_Days'] = 'Ecart en jours';
+$lang['UAM_Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Confirmation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations et validations d\'inscriptions".';
 // --------- End: New or revised $lang ---- from version 2.15.0
 
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['reg_err_mail_address_dbl'] = 'Cette adresse email est déjà utilisée.';
 $lang['UAM_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ces fils du forum Piwigo:<br>
 <a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
@@ -261,5 +254,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['Force_Validation'] = 'Validation manuelle';
+$lang['UAM_Force_Validation'] = 'Validation manuelle';
 $lang['UAM_Confirm_Mail_true'] = ' Activer - Validation par le visiteur';
 $lang['UAM_Confirm_Mail_local'] = ' Activer - Validation par l\'administrateur (pas d\'envoi de clé de validation)';
@@ -281,12 +274,12 @@
 $lang['UAM_GTAutoMail_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_GTAutoMail_true'] = ' Activer';
-$lang['Deleted_Account_Redirection_Page'] = 'Accès refusé - Compte détruit !';
-$lang['title_redir_page'] = 'Accès refusé pour cause de compte détruit !';
-$lang['Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erreur de cohérence dans la configuration choisie :<br><br>
+$lang['UAM_Deleted_Account_Redirection_Page'] = 'Accès refusé - Compte détruit !';
+$lang['UAM_title_redir_page'] = 'Accès refusé pour cause de compte détruit !';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erreur de cohérence dans la configuration choisie :<br><br>
 "Paramétrage des suivis des inscrits et autres options > Gestion des visiteurs fantômes (Ghost Tracker) > Gestion automatique des utilisateurs fantomes > Email automatique sur changement de groupe / statut" ne peut pas être activé si "Paramétrage des confirmations et validations d\'inscriptions > Confirmation d\'inscription - Validation par le visiteur" n\'est pas activé au préalable.<br><br>
 Pour garantir la cohérence, l\'option "Email automatique sur changement de groupe / statut" a été automatiquement repositionnée en "désactivé".<br><br>';
-$lang['Demotion of %s'] = 'Rétrogradation de %s';
+$lang['UAM_Demotion of %s'] = 'Rétrogradation de %s';
 $lang['UAM_AdminValidationMail_Text'] = 'Notification de validation d\'inscription manuelle';
-$lang['Validation of %s'] = 'Validation de %s';
+$lang['UAM_Validation of %s'] = 'Validation de %s';
 // --------- End: New or revised $lang ---- from version 2.16.0
 
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 9176)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 9177)
@@ -157,9 +157,4 @@
 <b style=&quot;color: red;&quot;>Important note :</b> If a ghost user still has not heard from after the time limit and despite the automatic notification by email (if enabled), he\'s automatically deleted from the database.';
 /* TODO */$lang['UAM_GTAutoMailTitle'] = 'Automatically sending an email when changing group / status';
-/* TODO */$lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
-<br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
-<br><br>Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
-<br><br>To use multiple languages, you can use the Extended description plugin\'s tags if it is active.
-<br><br><b style=&quot;color: red;&quot;>Warning: The use of this function is intimately associated with the confirmation of registration by the user (confirmation by mail) and can not be activated without this option.</b>';
 /* TODO */$lang['UAM_AdminValidationMail'] = 'Notification of manual registration validation';
 /* TODO */$lang['UAM_AdminValidationMail_d'] = 'When an administrator or Webmaster of the gallery manually valid registration pending, a notification email is automatically sent to the user. Enter here the text that appears in this email.<br><br>
@@ -215,4 +210,14 @@
 <br><br>
 Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+/* TODO */$lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
+<br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
+<br><br>
+Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.
+<br><br>
+<b style=&quot;color: red;&quot;>Warning: The use of this function is intimately associated with the confirmation of registration by the user (confirmation by mail) and can not be activated without this option.</b>';
 /* TODO */$lang['UAM_CustomPasswRetrTitle'] = 'Customize lost password email content';
 /* TODO */$lang['UAM_CustomPasswRetrTitle_d'] = 'By default, when a user has lost his password and selects the option of recovery, he receives an email containing only his username and his new password.
